Debian Bug report logs - #607417
win32-loader: please offer a "Boot from network with gPXE" option

version graph

Package: win32-loader; Maintainer for win32-loader is Debian Install System Team <debian-boot@lists.debian.org>; Source for win32-loader is src:win32-loader.

Reported by: Alkis Georgopoulos <alkisg@gmail.com>

Date: Sat, 18 Dec 2010 07:12:01 UTC

Severity: wishlist

Tags: patch

Fixed in version win32-loader/0.6.90

Done: Didier Raboud <odyx@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#607417; Package win32-loader. (Sat, 18 Dec 2010 07:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 18 Dec 2010 07:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: submit@bugs.debian.org
Subject: win32-loader: please offer a "Boot from network with gPXE" option
Date: Sat, 18 Dec 2010 08:09:22 +0100
[Message part 1 (text/plain, inline)]
Package: win32-loader
Severity: wishlist
X=Debbugs-CC: Alkis Georgopoulos <alkisg@gmail.com>

First of all thank you for your wonderful win32-loader.

We've modified it a bit so that it adds a "Boot from network" entry in
the Windows boot loader, instead of loading a Linux kernel.
To accomplish this we statically linked gpxe.lkrn [1] to
win32-loader.exe, and we modified main.nsi to load this instead of
vmlinuz. No initrd was necessary.

Currently the resulting "ltsp-loader.exe" [2] is used in some thousand
Greek school PCs to netboot thin and fat clients. But many others have
asked for this functionality in the #ltsp irc channel and in the
ltsp-discuss mailing list, so we think it'd be much better if the
upstream win32-loader Makefile supported a "Boot from network with gPXE"
target.

Unfortunately gPXE is not yet in Debian due to (afaik) some unresolved
licensing issues. However if the win32-loader Makefile supported a gPXE
target, maybe one of the following would be possible:
 * The gPXE devs to compile win32-loader with the gPXE target, and to
   host the resulting win32-loader-gpxe.exe on their site themselves.
 * Or a sysadmin or user could do that for his own use.
 * Or win32-loader.exe could dynamically download gpxe.lkrn from the
   gPXE website.

If you want we can send you the .diff for main.nsi that we currently
have, but we aren't very skilled with NSIS scripting so if you decide to
add that functionality upstream you'd probably want to properly
reimplement this yourselves. :)

In any case thanks again,
Alkis Georgopoulos

[1]: http://www.etherboot.org/
[2]: http://users.sch.gr/alkisg/tosteki/index.php?action=dlattach;topic=2136.0;attach=1941



-- 


[signature.asc (application/pgp-signature, inline)]

Changed Bug submitter to 'Alkis Georgopoulos <alkisg@gmail.com>' from 'Christian PERRIER <bubulle@debian.org>' Request was from Christian PERRIER <bubulle@debian.org> to control@bugs.debian.org. (Sat, 18 Dec 2010 07:18:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#607417; Package win32-loader. (Tue, 21 Dec 2010 12:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Didier 'OdyX' Raboud" <didier@raboud.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 21 Dec 2010 12:30:03 GMT) Full text and rfc822 format available.

Message #12 received at 607417@bugs.debian.org (full text, mbox):

From: "Didier 'OdyX' Raboud" <didier@raboud.com>
To: 607417@bugs.debian.org, Alkis Georgopoulos <alkisg@gmail.com>
Subject: Re: Bug#607417: win32-loader: please offer a "Boot from network with gPXE" option
Date: Tue, 21 Dec 2010 13:27:19 +0100
[Message part 1 (text/plain, inline)]
block 607417 by 474034
thanks

Hi Alkis, and thanks for your bugreport, 

> We've modified it a bit so that it adds a "Boot from network" entry in
> the Windows boot loader, instead of loading a Linux kernel.
> To accomplish this we statically linked gpxe.lkrn [1] to
> win32-loader.exe, and we modified main.nsi to load this instead of
> vmlinuz. No initrd was necessary.

Nice.

> Currently the resulting "ltsp-loader.exe" [2] is used in some thousand
> Greek school PCs to netboot thin and fat clients. But many others have
> asked for this functionality in the #ltsp irc channel and in the
> ltsp-discuss mailing list, so we think it'd be much better if the
> upstream win32-loader Makefile supported a "Boot from network with gPXE"
> target.
> 
> Unfortunately gPXE is not yet in Debian due to (afaik) some unresolved
> licensing issues. However if the win32-loader Makefile supported a gPXE
> target, maybe one of the following would be possible:
>  * The gPXE devs to compile win32-loader with the gPXE target, and to
>    host the resulting win32-loader-gpxe.exe on their site themselves.
>  * Or a sysadmin or user could do that for his own use.
>  * Or win32-loader.exe could dynamically download gpxe.lkrn from the
>    gPXE website.

As gPXE is not in Debian, I don't think it would be correct to upload a 
win32-loader including said functionality in Debian right now (in particular 
not in these times of freeze). Hence I marked that bug "blocked" by the gPXE 
ITP.

But more generally, I don't see a reason to keep your patch out: merging is 
always good.

> If you want we can send you the .diff for main.nsi that we currently
> have, but we aren't very skilled with NSIS scripting so if you decide to
> add that functionality upstream you'd probably want to properly
> reimplement this yourselves. :)

Please do so; attach the patch to this bugreport so that we can take a look 
at it.

> In any case thanks again,
> Alkis Georgopoulos

Thanks also go to you for making such a nice use of win32-loader. :->

Cheers, OdyX

-- 
Didier Raboud, proud Debian Maintainer (DM).
CH-1020 Renens
didier@raboud.com
[signature.asc (application/pgp-signature, inline)]

Added blocking bug(s) of 607417: 474034 Request was from "Didier 'OdyX' Raboud" <didier@raboud.com> to control@bugs.debian.org. (Tue, 21 Dec 2010 12:30:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#607417; Package win32-loader. (Tue, 11 Jan 2011 11:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Papakirikou Vaggelis <papakiru@cti.gr>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Tue, 11 Jan 2011 11:45:04 GMT) Full text and rfc822 format available.

Message #19 received at 607417@bugs.debian.org (full text, mbox):

From: Papakirikou Vaggelis <papakiru@cti.gr>
To: Papakirikou Vaggelis <papakiru@cti.gr>, Georgopoulos Alkis <alkisg@gmail.com>, "607417@bugs.debian.org" <607417@bugs.debian.org>
Cc: "didier@raboud.com" <didier@raboud.com>, Siahos Yannis <Siahos@cti.gr>
Subject: ΑΠ: win32-loader: please offer a "Boot from network with gPXE" option
Date: Tue, 11 Jan 2011 11:40:33 +0000
[Message part 1 (text/plain, inline)]
Hello,



I attach the patch for the files we have modified...



Evangelos Papakirikou (papakiru@cti.gr)

Ioannis Siahos (siahos@cti.gr)







[diffs.diff (application/octet-stream, attachment)]

Added tag(s) patch. Request was from Didier Raboud <didier@raboud.com> to control@bugs.debian.org. (Wed, 12 Jan 2011 12:12:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#607417; Package win32-loader. (Fri, 28 Jan 2011 17:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Didier 'OdyX' Raboud" <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Fri, 28 Jan 2011 17:09:03 GMT) Full text and rfc822 format available.

Message #26 received at 607417@bugs.debian.org (full text, mbox):

From: "Didier 'OdyX' Raboud" <odyx@debian.org>
To: Papakirikou Vaggelis <papakiru@cti.gr>
Cc: Georgopoulos Alkis <alkisg@gmail.com>, "607417@bugs.debian.org" <607417@bugs.debian.org>, Siahos Yannis <Siahos@cti.gr>
Subject: Re: ΑΠ: win32-loader: please offer a "Boot from network with gPXE" option
Date: Fri, 28 Jan 2011 18:06:16 +0100
[Message part 1 (text/plain, inline)]
tags 607417 +pending
thanks

Le Tuesday 11 January 2011 12:40:33 Papakirikou Vaggelis, vous avez écrit :
> Hello,
> 
> I attach the patch for the files we have modified...
> 
> Evangelos Papakirikou (papakiru@cti.gr)
> 
> Ioannis Siahos (siahos@cti.gr)

Hi Evangelos, Ioannis, and Alkis, 

(I hope I got the first names correctly…)

Many thanks for your patch; I have now taken some time to inspect it and I
created a branch on the Win32-Loader git repository, that includes most of the
changes you propose:

http://git.debian.org/?p=d-i/win32-loader.git;a=commitdiff;h=61e7dae042308d010ff897c7a7df9e98ac030be7

(on the "pxe" branch)

Here's what I did:
* Add the "PXE" functionality as an option
	(aka without PXE=yes make, win32-loader will work as usual)
* Make the functionality gPXE/iPXE independent
	(aka you must provide a "pxe.lkrn" file at the sources root)
* No mention of "LTSP", but PXE everywhere
* Add as few new strings as possible
* No change of the Windows Registry key name

I tested that here on a Windows7 machine with a renamed ipxe.lkrn and it just
worked, so many thanks for your patch !

My current plan is to give you some time to test my patch (possibly adding yours
on top) and if it works correctly, I'll merge it on the master branch; hence
releasing a win32-loader source that allows the installation of a PXE loader,
but without enabling it on the binaries (as neither gPXE nor iPXE is in Debian
yet).

So please keep me informed about the correctness of my patch for your purpose !
And by the way, if you could publish your changes in a git repository somewhere,
it'd just be great for more collaboration !

Cheers, 

OdyX

-- 
Didier Raboud, proud Debian Developer.
CH-1020 Renens
odyx@debian.org
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from "Didier 'OdyX' Raboud" <odyx@debian.org> to control@bugs.debian.org. (Fri, 28 Jan 2011 17:09:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#607417; Package win32-loader. (Wed, 02 Feb 2011 07:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Papakirikou Vaggelis <papakiru@cti.gr>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 02 Feb 2011 07:57:03 GMT) Full text and rfc822 format available.

Message #33 received at 607417@bugs.debian.org (full text, mbox):

From: Papakirikou Vaggelis <papakiru@cti.gr>
To: Didier 'OdyX' Raboud <odyx@debian.org>
Cc: Georgopoulos Alkis <alkisg@gmail.com>, "607417@bugs.debian.org" <607417@bugs.debian.org>, Siahos Yannis <Siahos@cti.gr>
Subject: ΑΠ: ΑΠ: win32-loader: please offer a "Boot from network with gPXE" option
Date: Wed, 2 Feb 2011 07:48:11 +0000
Hello,

I have tested the branch you have created on xp-win7-vista-win2k8 and it works like a charm!

Evangelos
________________________________________
Από: Didier 'OdyX' Raboud [odyx@debian.org]
Αποστολή: Παρασκευή, 28 Ιανουαρίου 2011 7:06 μμ
Προς: Papakirikou Vaggelis
Κοιν.: Georgopoulos Alkis; 607417@bugs.debian.org; Siahos Yannis
Θέμα: Re: ΑΠ: win32-loader: please offer a "Boot from network with gPXE" option

tags 607417 +pending
thanks

Le Tuesday 11 January 2011 12:40:33 Papakirikou Vaggelis, vous avez écrit :
> Hello,
>
> I attach the patch for the files we have modified...
>
> Evangelos Papakirikou (papakiru@cti.gr)
>
> Ioannis Siahos (siahos@cti.gr)

Hi Evangelos, Ioannis, and Alkis,

(I hope I got the first names correctly…)

Many thanks for your patch; I have now taken some time to inspect it and I
created a branch on the Win32-Loader git repository, that includes most of the
changes you propose:

http://git.debian.org/?p=d-i/win32-loader.git;a=commitdiff;h=61e7dae042308d010ff897c7a7df9e98ac030be7

(on the "pxe" branch)

Here's what I did:
* Add the "PXE" functionality as an option
        (aka without PXE=yes make, win32-loader will work as usual)
* Make the functionality gPXE/iPXE independent
        (aka you must provide a "pxe.lkrn" file at the sources root)
* No mention of "LTSP", but PXE everywhere
* Add as few new strings as possible
* No change of the Windows Registry key name

I tested that here on a Windows7 machine with a renamed ipxe.lkrn and it just
worked, so many thanks for your patch !

My current plan is to give you some time to test my patch (possibly adding yours
on top) and if it works correctly, I'll merge it on the master branch; hence
releasing a win32-loader source that allows the installation of a PXE loader,
but without enabling it on the binaries (as neither gPXE nor iPXE is in Debian
yet).

So please keep me informed about the correctness of my patch for your purpose !
And by the way, if you could publish your changes in a git repository somewhere,
it'd just be great for more collaboration !

Cheers,

OdyX

--
Didier Raboud, proud Debian Developer.
CH-1020 Renens
odyx@debian.org

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#607417; Package win32-loader. (Wed, 02 Feb 2011 13:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Siahos Yannis <Siahos@cti.gr>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 02 Feb 2011 13:36:03 GMT) Full text and rfc822 format available.

Message #38 received at 607417@bugs.debian.org (full text, mbox):

From: Siahos Yannis <Siahos@cti.gr>
To: Didier 'OdyX' Raboud <odyx@debian.org>
Cc: Georgopoulos Alkis <alkisg@gmail.com>, "607417@bugs.debian.org" <607417@bugs.debian.org>, Papakirikou Vaggelis <papakiru@cti.gr>, Siahos Yannis <Siahos@cti.gr>
Subject: RE: ΑΠ: win32-loader: please offer a "Boot from network with gPXE" option
Date: Wed, 2 Feb 2011 13:26:25 +0000
[Message part 1 (text/plain, inline)]
Hi,

Vaggelis forgot to mention that in order to have the pxe functionality work properly you must follow the 1-4 steps:


1)The linux, initrd.gz, pxe.lkrn (gpxe 1.0.0) files must be placed in the root folder.
2)The file debian/rules must have the PXE=yes option, instead of STANDALONE=yes.
3)The Makefile must have:

	pxe.target: pxe.lkrn linux initrd.gz templates/ternary_choice.ini

	instead of
	pxe.target: pxe.lkrn templates/ternary_choice.ini 

4)The main.nsi should be patched with main.nsi.diff.

Another issue to consider is that when a user installs win32loader in pxe mode, description in boot menu isn't very clear ("continue with install process"). 
I think that in pxe mode you should better change this message to "Continue with network boot" in file l10n/win32-loader.sh (line 81) 

Yannis


-----Original Message-----
From: Papakirikou Vaggelis 
Sent: Wednesday, February 02, 2011 9:48 AM
To: Didier 'OdyX' Raboud
Cc: Georgopoulos Alkis; 607417@bugs.debian.org; Siahos Yannis
Subject: ΑΠ: ΑΠ: win32-loader: please offer a "Boot from network with gPXE" option

Hello,

I have tested the branch you have created on xp-win7-vista-win2k8 and it works like a charm!

Evangelos
________________________________________
Από: Didier 'OdyX' Raboud [odyx@debian.org]
Αποστολή: Παρασκευή, 28 Ιανουαρίου 2011 7:06 μμ
Προς: Papakirikou Vaggelis
Κοιν.: Georgopoulos Alkis; 607417@bugs.debian.org; Siahos Yannis
Θέμα: Re: ΑΠ: win32-loader: please offer a "Boot from network with gPXE" option

tags 607417 +pending
thanks

Le Tuesday 11 January 2011 12:40:33 Papakirikou Vaggelis, vous avez écrit :
> Hello,
>
> I attach the patch for the files we have modified...
>
> Evangelos Papakirikou (papakiru@cti.gr)
>
> Ioannis Siahos (siahos@cti.gr)

Hi Evangelos, Ioannis, and Alkis,

(I hope I got the first names correctly…)

Many thanks for your patch; I have now taken some time to inspect it and I
created a branch on the Win32-Loader git repository, that includes most of the
changes you propose:

http://git.debian.org/?p=d-i/win32-loader.git;a=commitdiff;h=61e7dae042308d010ff897c7a7df9e98ac030be7

(on the "pxe" branch)

Here's what I did:
* Add the "PXE" functionality as an option
        (aka without PXE=yes make, win32-loader will work as usual)
* Make the functionality gPXE/iPXE independent
        (aka you must provide a "pxe.lkrn" file at the sources root)
* No mention of "LTSP", but PXE everywhere
* Add as few new strings as possible
* No change of the Windows Registry key name

I tested that here on a Windows7 machine with a renamed ipxe.lkrn and it just
worked, so many thanks for your patch !

My current plan is to give you some time to test my patch (possibly adding yours
on top) and if it works correctly, I'll merge it on the master branch; hence
releasing a win32-loader source that allows the installation of a PXE loader,
but without enabling it on the binaries (as neither gPXE nor iPXE is in Debian
yet).

So please keep me informed about the correctness of my patch for your purpose !
And by the way, if you could publish your changes in a git repository somewhere,
it'd just be great for more collaboration !

Cheers,

OdyX

--
Didier Raboud, proud Debian Developer.
CH-1020 Renens
odyx@debian.org
[PXE-changes.tar.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#607417; Package win32-loader. (Wed, 02 Feb 2011 14:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Didier 'OdyX' Raboud" <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 02 Feb 2011 14:15:02 GMT) Full text and rfc822 format available.

Message #43 received at 607417@bugs.debian.org (full text, mbox):

From: "Didier 'OdyX' Raboud" <odyx@debian.org>
To: Siahos Yannis <Siahos@cti.gr>, 607417@bugs.debian.org
Cc: Georgopoulos Alkis <alkisg@gmail.com>, Papakirikou Vaggelis <papakiru@cti.gr>
Subject: Re: Bug#607417: ΑΠ: win32-loader: please offer a "Boot from network with gPXE" option
Date: Wed, 2 Feb 2011 15:09:46 +0100
[Message part 1 (text/plain, inline)]
Le Wednesday 2 February 2011 14:26:25, vous avez écrit :
> Hi,

Hi Yannis and thanks for your extended review,

> Vaggelis forgot to mention that in order to have the pxe functionality work
> properly you must follow the 1-4 steps:
> 
> 1)The linux, initrd.gz, pxe.lkrn (gpxe 1.0.0) files must be placed in the
> root folder.

I agree that pxe.lkrn has to be placed in the root folder. That's the point of 
the pxe.target to "depend" on pxe.lkrn. I will enhance the code when {g,i}PXE 
enters Debian in order to copy the pxe.lkrn directly (as is done for gl2dr and 
loadlin.exe).

But I disagree with including linux and initrd.gz within the PXE patch, see 
below.

> 2)The file debian/rules must have the PXE=yes option, instead
> of STANDALONE=yes.

… only if you want to build a Debian package out of it. Otherwise, just run 
"PXE=yes make" and you'll get a PXE-enabled win32-loader.exe.

> 3)The Makefile must have:
> 
> 	pxe.target: pxe.lkrn linux initrd.gz templates/ternary_choice.ini
> 
> 	instead of
> 	pxe.target: pxe.lkrn templates/ternary_choice.ini

Same remark as 1), see below.

> 4)The main.nsi should be patched with main.nsi.diff.

(As a side remark, could you please use "diff -Naur" when providing diffs, it's 
way easier to patch back.)

What your main.nsi.diff "patch" does is that it "embeds" a complete debian-
installer linux kernel and initrd.gz (which makes it fail with kfreebsd…). The 
current win32-loader approach is to rely on Debian mirrors (and internet 
connectivity) to get the latest released debian-installer kernels and initrd's. 
Bundling a specific d-i version into a Windows executable defeats the fact that 
the current 0.6.22 win32-loader will be able to download _any_ future "stable" 
Debian-Installer.

But I can acknowledge that bundling specific versions can be useful. Could you 
please report a bug (with wishlist severity) against win32-loader with a title 
like "Please add a d-i bundling possiblity" ?

> Another issue to consider is that when a user installs win32loader in pxe
> mode, description in boot menu isn't very clear ("continue with install
> process"). I think that in pxe mode you should better change this message
> to "Continue with network boot" in file l10n/win32-loader.sh (line 81)

Same here; I plan to enhance the reboot messages shown by the Windows 
bootloader. It'd be nice if you could report a wishlist bug against win32-loader 
with a title like "Please enhance the reboot messages."

> Yannis

So, given the messages received so far and my present answer, I am pretty 
confident that the PXE patch does basically what you need; I will proceed in 
merging the pxe branch to "master". Other enhancements will certainly happen, 
but please report separate bugs (it's not a matter of blocking discussion, but 
to keep the "one problem is one bug" motto).

Cheers, 

OdyX
-- 
Didier Raboud, proud Debian Developer.
CH-1020 Renens
odyx@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#607417; Package win32-loader. (Wed, 02 Feb 2011 15:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alkis Georgopoulos <alkisg@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 02 Feb 2011 15:33:03 GMT) Full text and rfc822 format available.

Message #48 received at 607417@bugs.debian.org (full text, mbox):

From: Alkis Georgopoulos <alkisg@gmail.com>
To: Didier 'OdyX' Raboud <odyx@debian.org>
Cc: Siahos Yannis <Siahos@cti.gr>, 607417@bugs.debian.org, Papakirikou Vaggelis <papakiru@cti.gr>
Subject: Re: Bug#607417: ΑΠ: win32-loader: please offer a "Boot from network with gPXE" option
Date: Wed, 02 Feb 2011 17:28:23 +0200
Στις 02-02-2011, ημέρα Τετ, και ώρα 15:09 +0100, ο/η Didier 'OdyX'
Raboud έγραψε:
> So, given the messages received so far and my present answer, I am pretty 
> confident that the PXE patch does basically what you need; I will proceed in 
> merging the pxe branch to "master". Other enhancements will certainly happen, 
> but please report separate bugs (it's not a matter of blocking discussion, but 
> to keep the "one problem is one bug" motto).

Confirming everything that OdyX says. Awesome PXE integration, much more
mature than our preliminary attempts. :)

To compile, I did the following:
git clone git://git.debian.org/d-i/win32-loader.git
cd win32-loader
git checkout -b pxe remotes/origin/pxe
# remove "--format=i386-pc" from Makefile because I had an old grub version
cp /usr/share/gpxe/gpxe.lkrn ./pxe.lkrn
PXE=yes make

Tested the resulting win32-loader.exe in a vbox XP installation, worked
fine.

The only thing that remains is the boot menu title, we'll file another
bug for it once the pxe branch is merged to master.

Again, thank you OdyX, you're great. :)





Reply sent to Didier Raboud <odyx@debian.org>:
You have taken responsibility. (Mon, 21 Feb 2011 21:03:08 GMT) Full text and rfc822 format available.

Notification sent to Alkis Georgopoulos <alkisg@gmail.com>:
Bug acknowledged by developer. (Mon, 21 Feb 2011 21:03:09 GMT) Full text and rfc822 format available.

Message #53 received at 607417-close@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: 607417-close@bugs.debian.org
Subject: Bug#607417: fixed in win32-loader 0.6.90
Date: Mon, 21 Feb 2011 20:59:15 +0000
Source: win32-loader
Source-Version: 0.6.90

We believe that the bug you reported is fixed in the latest version of
win32-loader, which is due to be installed in the Debian FTP archive:

win32-loader_0.6.90.dsc
  to main/w/win32-loader/win32-loader_0.6.90.dsc
win32-loader_0.6.90.tar.gz
  to main/w/win32-loader/win32-loader_0.6.90.tar.gz
win32-loader_0.6.90_all.deb
  to main/w/win32-loader/win32-loader_0.6.90_all.deb
win32-loader_0.6.90_all.exe byhand
win32-loader_0.6.90_all.txt byhand



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 607417@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Didier Raboud <odyx@debian.org> (supplier of updated win32-loader package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 21 Feb 2011 21:15:32 +0100
Source: win32-loader
Binary: win32-loader
Architecture: source all
Version: 0.6.90
Distribution: unstable
Urgency: low
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Changed-By: Didier Raboud <odyx@debian.org>
Description: 
 win32-loader - Debian-Installer loader for win32
Closes: 607417
Changes: 
 win32-loader (0.6.90) unstable; urgency=low
 .
   The "Let's Squeeze win32-loader!" release
 .
   * General
     - Remove license click-trough.
     - Add executable properties and proper branding.
     - Also add branding to the Uninstaller info in the Windows registry.
     - Split main.nsi in multiple files, make sure GPLv3+ license headers are
       in all split files.
     - Allow build-time outfile name selection.
     - Allow build-time choice of Company Name.
     - Enhance >= Vista boot device detection with bcdedit.exe.
     - Update my copyright notices to 2011.
 .
   * Standalone flavour
     - Add PXE functionality (Closes: #607417).
     - Add a PXE-specific boot text.
     - Add a notice in THANKS for the people behind the PXE patch.
     - Make the Windows bootloader entry distro- and kernel- specific.
     - Debian GNU/kFreeBSD was released as "stable", remove the corresponding
       TODO.
     - Allow opt-out of the the GNU/kFreeBSD download possibility.
     - Make sure default desktop is GNOME.
     - Use cdn.debian.net instead of ftp.se.d.o to download d-i kernels and
       initrd's.
     - Trustful download
       - Download and check Release{,.gpg} against debian-archive-keyring.gpg
         with gpgv.exe (thanks to the GnuPG maintainers).
       - Check downloaded kernels and initrd's against MD5SUMS.
     - Enhance message for download errors.
     - Don't install the standalone flavour, as it reaches the mirrors trough
       byhand.
     - Only build the standalone version if BYHAND is yes.
     - Document which packages in which versions are embedded.
     - Build the standalone exe with its definitive name.
 .
   * Bug-fixing
     - Make sure grub.cfg is always referred to as being in $INSTDIR
       (C:\win32-loader\).
     - Feed the $windows_version variable with something sensible (instead
       of nothing).
     - Use the charset-secured $d-i_ntldr for modern Windows 7 hosts too.
     - Create variable d only on the CD flavours.
     - Define Windows register indexes as build-time variables.
     - Move bcdedit.exe finding earlier.
 .
   * Localisation
     - Fix the Icelandic translation.
     - Add new strings for PXE boot, GPG checking, checksum computation.
     - Force LANGUAGE to fallback to LANG_ENGLISH.
     - Re-brand the program as 'Debian-Installer loader'.
     - Add target distribution and kernel to boot line.
 .
   * Packaging
    - Append version and arch to the byhand filenames, to make dak happy;
      thanks to Joerg Jaspert for the dak digging!
    - Add a gitignore file.
    - Bump B-D on grub-pc to >= 1.99~rc1-3 (see #613245).
Checksums-Sha1: 
 f4c8479ff5ec45bd3d8ec65885371b71489555bc 1280 win32-loader_0.6.90.dsc
 9e6c2e9666ab445259e1c6954778eb8a06c231b0 197643 win32-loader_0.6.90.tar.gz
 6e30183093e770d9ef9bd0cf2a5f8c64a23dde4e 418528 win32-loader_0.6.90_all.deb
 f58310f2d8218ec4e67f23d5e405af0627ebf017 855320 win32-loader_0.6.90_all.exe
 e7e3c5d60c3640dddf5bdaf30de177de563172bc 2627 win32-loader_0.6.90_all.txt
Checksums-Sha256: 
 b39353d32183ed321d551694dba11a72201f4099d8ec9c469d02ac8414ad2e12 1280 win32-loader_0.6.90.dsc
 0a506ebd2ded330143098c26d3f857c4411f8f8459ce0321384c24850c18f51f 197643 win32-loader_0.6.90.tar.gz
 735a0f4806413bd11901defd6ad7c27f9631b3570567387c5207d0641df8506a 418528 win32-loader_0.6.90_all.deb
 88c31642d2211baf35a8b836b8348c6e1af396970e916bf310b0ce2770f33806 855320 win32-loader_0.6.90_all.exe
 247cd1df061c2b57cfdcc31f530c8b075877739523c3bd36aad838ffcae8d33b 2627 win32-loader_0.6.90_all.txt
Files: 
 d7b08212a42549a30a68efe13b67e25f 1280 utils extra win32-loader_0.6.90.dsc
 3b1dde183027a54100f8877dbabd672d 197643 utils extra win32-loader_0.6.90.tar.gz
 6939d95f86d25e69dae5b44f2e570d42 418528 utils extra win32-loader_0.6.90_all.deb
 fc0dc58d2b4846b6d99b3251a6cfcc52 855320 byhand - win32-loader_0.6.90_all.exe
 bae76bd53acfea2f1f2d0daec238a718 2627 byhand - win32-loader_0.6.90_all.txt

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iJwEAQECAAYFAk1iyjcACgkQKA1Vt+jBwDj0WAP/V3Cmi3kJribaLPvZ7oVI7MCv
RValCIAQJxuQp//qkJZJlz5cL0fyBKqDua9WwxF4oEHU7lzlXrIDcn3+tEBCn9C0
fAw1Jo/1Li0PWklPDzvOSLkemLSH+CeUaBKfvoF+QIhhFigmblvn0XkzEjMikI6b
4MX/AeuXS6jN5wp9m3I=
=xpTr
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 08 Jul 2011 07:33:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:51:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.